SINIRLI SAYIDA %80 İNDİRİMİ KAÇIRMAYIN. KOD: KARTLAR80

Özel Alan Adları

GET https://kartlar.com.tr/api/domains/
curl --request GET \
--url 'https://kartlar.com.tr/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
Parametreler Detaylar Açıklama
page Opsiyonel Integer Sonuç almak istediğiniz sayfa numarası. Varsayılanı 1'dir.
results_per_page Opsiyonel Integer Sayfa başına kaç sonuç istediğiniz. İzin verilen değerler: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Varsayılan olarak 25.
{ "data": [ { "id": 1, "scheme": "https://", "host": "example.com", "custom_index_url": "", "is_enabled": true, "last_datetime": null, "datetime": "2021-02-04 23:29:18" }, ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://kartlar.com.tr/api/domains?&page=1", "last": "https://kartlar.com.tr/api/domains?&page=1", "next": null, "prev": null, "self": "https://kartlar.com.tr/api/domains?&page=1" } }
GET https://kartlar.com.tr/api/domains/{domain_id}
curl --request GET \
--url 'https://kartlar.com.tr/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{ "data": { "id": 1, "scheme": "https://", "host": "example.com", "custom_index_url": "", "is_enabled": true, "last_datetime": null, "datetime": "2021-02-04 23:29:18" } }
POST https://kartlar.com.tr/api/domains
Parametreler Detaylar Açıklama
host Zorunlu String -
custom_index_url Opsiyonel String -
custom_not_found_url Opsiyonel String -
curl --request POST \
--url 'https://kartlar.com.tr/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=domain.com' \
--form 'custom_index_url=https://mywebsite.com/' \
--form 'custom_not_found_url=https://mywebsite.com/404-page'
{ "data": { "id": 1 } }
POST https://kartlar.com.tr/api/domains/{domain_id}
Parametreler Detaylar Açıklama
host Opsiyonel String -
custom_index_url Opsiyonel String -
custom_not_found_url Opsiyonel String -
curl --request POST \
--url 'https://kartlar.com.tr/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=domain.com' \
{ "data": { "id": 1 } }
DELETE https://kartlar.com.tr/api/domains/{domain_id}
curl --request DELETE \
--url 'https://kartlar.com.tr/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \